> For the complete documentation index, see [llms.txt](https://docs.starfall.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.starfall.ai/api-reference.md).

# API reference

The Starfall API is primarily divided into the following categories:

Login using username and password to obtain a token.

{% content-ref url="/spaces/Jkdbbg7vsOssgsTBMtsY/pages/fs5vx7xMGv66Im6hebm8" %}
[Auth token](/api-reference/auth-token.md)
{% endcontent-ref %}

List of all of previously looked up addresses from your account and the number of address lookups already used.

{% content-ref url="/spaces/Jkdbbg7vsOssgsTBMtsY/pages/Zutpn9C90vNmKM8mZDgU" %}
[Address Lookups](/api-reference/address-lookups.md)
{% endcontent-ref %}

Search a new address and search accounts related to that address.

{% content-ref url="/spaces/Jkdbbg7vsOssgsTBMtsY/pages/Jj4kx6nQBkBarkUGXIlV" %}
[Addresses](/api-reference/addresses.md)
{% endcontent-ref %}

Get existing predictions and signals for a particular address.

{% content-ref url="/spaces/Jkdbbg7vsOssgsTBMtsY/pages/Op02L6IDcAE4JybcD6Cu" %}
[Final predictions](/api-reference/final-predictions.md)
{% endcontent-ref %}

Manage api tokens.

{% content-ref url="/spaces/Jkdbbg7vsOssgsTBMtsY/pages/ik7ui6dKP9sjtjYB5x5v" %}
[Broken mention](broken://spaces/Jkdbbg7vsOssgsTBMtsY/pages/ik7ui6dKP9sjtjYB5x5v)
{% endcontent-ref %}

Manage your user profie.

{% content-ref url="/spaces/Jkdbbg7vsOssgsTBMtsY/pages/z7RO2BOzBSTvTrPyUqXa" %}
[Users](/api-reference/users.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.starfall.ai/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
